Loading...
Searching...
No Matches
dcmtk::log4cplus::spi::BaseFactory Class Referenceabstract

This is the base class for all factories. More...

Inheritance diagram for dcmtk::log4cplus::spi::BaseFactory:

## Public Member Functions

virtual log4cplus::tstring const & | getTypeName () const =0
| Returns the typename of the objects this factory creates.

## Detailed Description

This is the base class for all factories.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/factory.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0